# Template file for 'qt-plugin-gstreamer'.
#
short_desc="Qt GStreamer phonon plugin"
long_desc="${long_desc}

 This package contains a Qt GStreamer plugin for the phonon backend."

gtk_iconcache_dirs="/usr/share/icons/hicolor"

Add_dependency run glibc
Add_dependency run libstdc++
Add_dependency run libgcc
Add_dependency run glib
Add_dependency run libxml2
Add_dependency run MesaLib
Add_dependency run gstreamer
Add_dependency run gst-plugins-base
Add_dependency run hicolor-icon-theme
Add_dependency run qt

do_install()
{
	local icondir=/usr/share/icons/hicolor/128x128/apps

	mkdir -p ${DESTDIR}/usr/lib/qt/plugins ${DESTDIR}/${icondir}

	mv ${SRCPKGDESTDIR}/usr/lib/qt/plugins/phonon_backend \
		${DESTDIR}/usr/lib/qt/plugins || return 1
	mv ${SRCPKGDESTDIR}/${icondir}/phonon-gstreamer.png \
		${DESTDIR}/${icondir} || return 1
	
}
